Closed Bug 946667 Opened 7 years ago Closed 7 years ago

Intermittent TEST-UNEXPECTED-FAIL | test_calendar_today_date.py test_calendar_today_date.TestCalendar.test_check_today_date | AssertionError: 'Wed Dec 04 2013' not found in u'Thu Dec 05 2013 00:00:00 GMT-0800 (PST)'

Categories

(Testing :: Marionette, defect)

x86
Gonk (Firefox OS)
defect
Not set
normal

Tracking

(firefox27 fixed, firefox28 fixed, firefox29 fixed, firefox-esr24 unaffected, b2g-v1.2 fixed, b2g-v1.3 fixed)

RESOLVED FIXED
mozilla29
Tracking Status
firefox27 --- fixed
firefox28 --- fixed
firefox29 --- fixed
firefox-esr24 --- unaffected
b2g-v1.2 --- fixed
b2g-v1.3 --- fixed

People

(Reporter: cbook, Assigned: jgriffin)

References

()

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

b2g_ubuntu64_vm mozilla-inbound opt test gaia-ui-test on 2013-12-04 23:53:53 PST for push 437fc37b3ca7

slave: tst-linux64-ec2-426

https://tbpl.mozilla.org/php/getParsedLog.php?id=31481373&tree=Mozilla-Inbound

TEST-UNEXPECTED-FAIL | test_calendar_today_date.py test_calendar_today_date.TestCalendar.test_check_today_date | AssertionError: 'Wed Dec 04 2013' not found in u'Thu Dec 05 2013 00:00:00 GMT-0800 (PST)'
Return code: 2560
This can be resolved by setting the timezone of where TBPL is running on into the testvars.json file that is passed in on the command line.

The syntax is:
  "settings": {
    "time.timezone": "America/Los_Angeles",
    "time.timezone.user-selected": "America/Los_Angeles"
  },

but I don't know where the source file is stored.
We generate testvars.json dynamically for TBPL, at http://hg.mozilla.org/build/mozharness/file/1cd2781469d2/scripts/marionette.py#l357.  I'll take care of the fix.
Assignee: nobody → jgriffin
Attachment #8343211 - Flags: review?(zcampbell)
Comment on attachment 8343211 [details] [diff] [review]
Add timezone settings to testvars.json,

spiffing
Attachment #8343211 - Flags: review?(zcampbell) → review+
https://hg.mozilla.org/build/mozharness/rev/b38c8aec20c3

Will watch this on cedar before pushing to production.
(In reply to Jonathan Griffin (:jgriffin) from comment #5)
> https://hg.mozilla.org/build/mozharness/rev/b38c8aec20c3
> 
> Will watch this on cedar before pushing to production.

It's in production now, because I had to merge for something else. In the future, I'd recommend using https://hg.mozilla.org/users/asasaki_mozilla.com/ash-mozharness if you need to watch something that may not be ready for production. Pushing to default generally implies "ready to go at any time".
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla29
You need to log in before you can comment on or make changes to this bug.